- Qt 6.10
- Qt Core
- C++ Classes
- QMetaProperty
- Qt 6.10.2 Reference Documentation

# Obsolete Members for QMetaProperty

The following members of class QMetaProperty are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` QVariant::Type | type() const

## Member Function Documentation

### `[deprecated]` QVariant::Type QMetaProperty::type() const

This function is deprecated. We strongly advise against using it in new code.

Returns this property's type. The return value is one of the values of the QVariant::Type enumeration.

See also typeName(), name(), and metaType().